LocalesResource

Reads and changes the project locales.

  • Stable unknown
  • Release candidate since 0.1.0-rc.4
  • Development since 0.1.0-dev.24+fa54770
public final class LocalesResource

Reads and changes the project locales. Get it from Ovok.locales().

Methods

retrieve

public JsonNode retrieve(RequestOptions options) throws IOException, InterruptedException

Gets the project locales (GET /locales).

Parameters:

  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

update

public JsonNode update(
        Object locales,
        RequestOptions options) throws IOException, InterruptedException

Changes the project locales (PATCH /locales).

Parameters:

  • locales: the locale changes
  • options: per-request options, such as the timeout

Returns: the response body

Throws:

  • IOException: if the request cannot be sent or the response cannot be read
  • InterruptedException: if the thread is interrupted while waiting for the response

Last updated on

On this page